Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class ServerNotActiveException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.rmi.server.ServerNotActiveException

All Implemented Interfaces:
  Serializable

public class ServerNotActiveException
extends Exception

An `ServerNotActiveException` is an `Exception` thrown during a call to `RemoteServer.getClientHost` if the getClientHost method is called outside of servicing a remote method call.

Since:
  JDK1.1
See Also:
  `RemoteServer.getClientHost()`, Serialized Form

Constructor Summary
`ServerNotActiveException()` Constructs an `ServerNotActiveException` with no specified detail message.
`ServerNotActiveException(String s)` Constructs an `ServerNotActiveException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerNotActiveException

    public ServerNotActiveException()

  Constructs an `ServerNotActiveException` with no specified detail message.

Since:
  JDK1.1

### ServerNotActiveException

    public ServerNotActiveException(String s)

  Constructs an `ServerNotActiveException` with the specified detail message.

Parameters:
  `s` - the detail message.
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.